package com.xintong.visualinspection.dao.master;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;

import com.xintong.visualinspection.bean.Team;

/**
 * 文件名：UserInfoDao
 * 版本信息：日期：2017/3/30 Copyright 江苏省交通规划设计院 Corporation 2017 版权所有.
 */
@Mapper
public interface TeamDao  {
    public List<Team> getAll();
    public Team getOne(Long id);
    public List<Team> getByDeptId(Long id);
    public void insert(Team team);
    public void update(Team team);
    public void delete(Long id);
	public List<Team> getTeamByName(Team team);
	public List<Team> getList(Team obj);
	public Team getTeamByUserClassid(Long id);
}
